//--------------------------------------------
// SimplePanel.cs (c) 2005 by Charles Petzold
//--------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class SimplePanel : Form
{
    [STAThread]
    public static void Main()
    {
        Application.EnableVisualStyles();
        Application.Run(new SimplePanel());
    }
    public SimplePanel()
    {
        Text = "Einfaches Panel";

        Panel pnl = new Panel();
        pnl.Parent = this;
        pnl.Dock = DockStyle.Fill;
        pnl.AutoScroll = true;

        TreeView tree = new TreeView();
        tree.Parent = this;
        tree.Dock = DockStyle.Left;
        tree.Nodes.Add("Struktur");

        StatusStrip stat = new StatusStrip();
        stat.Parent = this;
        stat.Items.Add("Status");

        ToolStrip tool = new ToolStrip();
        tool.Parent = this;
        tool.Items.Add("Symbolleiste");

        MenuStrip menu = new MenuStrip();
        menu.Parent = this;
        menu.Items.Add("Men");

        Label lbl = new Label();
        lbl.Parent = pnl;
        lbl.AutoSize = true;
        lbl.Text = "Beschriftungsfeld oben im Bereich";

        lbl = new Label();
        lbl.Parent = pnl;
        lbl.AutoSize = true;
        lbl.Text = "Beschriftungsfeld unten im Bereich";
        lbl.Location = new Point(300, 300);
    }
}