//----------------------------------------------------
// CrazyMenuAssemblage.cs (c) 2005 by Charles Petzold
//----------------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class CrazyMenuAssemblage : Form
{
    [STAThread]
    public static void Main()
    {
        Application.EnableVisualStyles();
        Application.Run(new CrazyMenuAssemblage());
    }
    public CrazyMenuAssemblage()
    {
        Text = "Verrckte Menzusammenstellung";

        MenuStrip menu = new MenuStrip();
        menu.Parent = this;

        menu.Items.AddRange(new ToolStripMenuItem[]
            {
                new ToolStripMenuItem("&Datei", null, new ToolStripMenuItem[]
                {
                    new ToolStripMenuItem("&ffnen...", null, DefaultOnClick,
                                          Keys.Control | Keys.F),
                    new ToolStripMenuItem("&Speichern", null, DefaultOnClick,
                                          Keys.Control | Keys.S),
                    new ToolStripMenuItem("&Beenden", null, DefaultOnClick)
                }),
                new ToolStripMenuItem("&Bearbeiten", null, new ToolStripMenuItem[]
                {
                    new ToolStripMenuItem("&Ausschneiden", null, DefaultOnClick,
                                          Keys.Control | Keys.X),
                    new ToolStripMenuItem("&Kopieren", null, DefaultOnClick,
                                          Keys.Control | Keys.C),
                    new ToolStripMenuItem("&Einfgen", null, DefaultOnClick,
                                          Keys.Control | Keys.V)
                }),
                new ToolStripMenuItem("&Hilfe", null, new ToolStripMenuItem[]
                {
                    new ToolStripMenuItem("&Hilfe", null, DefaultOnClick,
                                          Keys.F1),
                    new ToolStripMenuItem("&Info...", null, DefaultOnClick)
                })
            });
    }
    void DefaultOnClick(object obj, EventArgs args)
    {
        MessageBox.Show("Menelement noch nicht implementiert", Text);
    }
}