//---------------------------------------------------
// SaneMenuAssemblage.cs (c) 2005 by Charles Petzold
//---------------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class SaneMenuAssemblage : Form
{
    [STAThread]
    public static void Main()
    {
        Application.EnableVisualStyles();
        Application.Run(new SaneMenuAssemblage());
    }
    public SaneMenuAssemblage()
    {
        Text = "Vernnftige Menzusammenstellung";

        MenuStrip menu = new MenuStrip();
        menu.Parent = this;

        // Datei-Men zusammenstellen.
        ToolStripMenuItem itemFile = new ToolStripMenuItem("&Datei");
        menu.Items.Add(itemFile);

        ToolStripMenuItem item = new ToolStripMenuItem("&ffnen...");
        item.ShortcutKeys = Keys.Control | Keys.F;
        item.Click += DefaultOnClick;
        itemFile.DropDownItems.Add(item);

        item = new ToolStripMenuItem("&Speichern");
        item.ShortcutKeys = Keys.Control | Keys.S;
        item.Click += DefaultOnClick;
        itemFile.DropDownItems.Add(item);

        item = new ToolStripMenuItem("&Beenden");
        item.Click += DefaultOnClick;
        itemFile.DropDownItems.Add(item);

        // Bearbeiten-Men zusammenstellen.
        ToolStripMenuItem itemEdit = new ToolStripMenuItem("&Bearbeiten");
        menu.Items.Add(itemEdit);
        
        item = new ToolStripMenuItem("&Ausschneiden");
        item.ShortcutKeys = Keys.Control | Keys.X;
        item.Click += DefaultOnClick;
        itemEdit.DropDownItems.Add(item);

        item = new ToolStripMenuItem("&Kopieren");
        item.ShortcutKeys = Keys.Control | Keys.C;
        item.Click += DefaultOnClick;
        itemEdit.DropDownItems.Add(item);

        item = new ToolStripMenuItem("&Einfgen");
        item.ShortcutKeys = Keys.Control | Keys.V;
        item.Click += DefaultOnClick;
        itemEdit.DropDownItems.Add(item);

        // Assemble Help menu.
        ToolStripMenuItem itemHelp = new ToolStripMenuItem("&Hilfe");
        menu.Items.Add(itemHelp);
        
        item = new ToolStripMenuItem("&Hilfe");
        item.ShortcutKeys = Keys.F1;
        item.Click += DefaultOnClick;
        itemHelp.DropDownItems.Add(item);

        item = new ToolStripMenuItem("&Info...");
        item.Click += DefaultOnClick;
        itemHelp.DropDownItems.Add(item);
    }
    void DefaultOnClick(object obj, EventArgs args)
    {
        MessageBox.Show("Menelement noch nicht implementiert", Text);
    }
}