//--------------------------------------------
// ChangeWidth.cs (c) 2005 by Charles Petzold
//--------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class ChangeWidth: Form
{
    [STAThread]
    public static void Main()
    {
        Application.EnableVisualStyles();
        Application.Run(new ChangeWidth());
    }
    public ChangeWidth()
    {
        Text = "Breite ndern";

        VScrollBar scrl = new VScrollBar();
        scrl.Parent = this;
        scrl.Dock = DockStyle.Left;
        scrl.Minimum = SystemInformation.MinimumWindowSize.Width;
        scrl.Maximum = SystemInformation.MaxWindowTrackSize.Width;
        scrl.Value = Width;

        // nderungen in Size.Width ndern den Wert der Bildlaufleiste.
        scrl.DataBindings.Add("Value", this, "Size.Width");
        scrl.DataBindings[0].DataSourceUpdateMode = DataSourceUpdateMode.Never;

        // nderungen am Wert der Bildlaufleiste ndern Width.
        DataBindings.Add("Width", scrl, "Value");
        DataBindings[0].DataSourceUpdateMode = DataSourceUpdateMode.Never;
    }
}
